/*
 *
 * Copyright (c) 2025. Jeffery Hsu - Achievement Report Generator
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 */

import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router'

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    name: 'start',
    component: () => import('@renderer/views/home/HomeStart.vue')
  },
  {
    path: '/create',
    name: 'create',
    component: () => import('@renderer/views/create/CreateStart.vue')
  },
  {
    path: '/panel',
    name: 'panel',
    component: () => import('@renderer/views/create/CreatePanel.vue'),
    redirect: '/panel/index',
    children: [
      {
        path: 'index',
        name: 'panelIndex',
        component: () => import('@renderer/views/panel/PanelIndex.vue')
      },
      {
        path: 'student',
        name: 'panelStudent',
        component: () => import('@renderer/views/panel/PanelStudent.vue')
      },
      {
        path: 'score',
        name: 'panelScore',
        component: () => import('@renderer/views/panel/PanelScore.vue')
      },
      {
        path: 'paper',
        name: 'panelPaper',
        component: () => import('@renderer/views/panel/PanelPaper.vue')
      },
      {
        path: 'final',
        name: 'panelFinal',
        component: () => import('@renderer/views/panel/PanelFinal.vue')
      }
    ]
  }
]

export default createRouter({
  history: createWebHashHistory(),
  routes
})
